%define module_name Test-Alien-CPP
# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++ perl(Data/Dumper.pm) perl(ExtUtils/CBuilder.pm) perl(ExtUtils/CppGuess.pm) perl(ExtUtils/MakeMaker.pm) perl(Test/Alien.pm) perl(Test/Alien/Build.pm) perl(Test2/Require.pm) perl(Test2/V0.pm) perl(Text/ParseWords.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.01
Release: alt1
Summary: Testing tools for Alien modules for projects that use C++
Group: Development/Perl
License: perl
URL: https://metacpan.org/pod/Test::Alien::CPP

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PL/PLICEASE/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This module works exactly like the Test::Alien manpage except that it supports C++.  All
functions like `alien_ok', etc that are exported by the Test::Alien manpage are exported
by this module.  The only difference is that `xs_ok' injects C++ support before
delegating to the Test::Alien manpage.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc author.yml Changes LICENSE README
%perl_vendor_privlib/T*

%changelog
* Tue May 21 2019 Igor Vlasenko <viy@altlinux.ru> 1.01-alt1
- updated by package builder

* Fri Dec 21 2018 Igor Vlasenko <viy@altlinux.ru> 0.99-alt1
- initial import by package builder

